2021-03-01 05:32 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000461Frama-CKernel > Makefilepublic2014-02-12 16:55
Reportermehdi 
Assigned Tosignoles 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Product VersionFrama-C Boron-20100401 
Target VersionFixed in VersionFrama-C Carbon-20101201-beta1 
Summary0000461: Frama-c-gui doesn't install on bytecode architecture
DescriptionThe target 'gui' depends directly on 'bin/viewer.opt$(EXE)' which cannot be built on bytecode-only architecutres. Thus, the build and installation fail.

Furthermore, in /usr/lib/frama-c, there are some .cmx files installed without their implementation (their corresponding .o or .a files). If those files are going to be used to build plugins, then the implementation is needed.

Please find attached a patch that fixes both issues.

Regards,
--
Mehdi
TagsNo tags attached.
Attached Files
  • patch file icon 0003-Fix-build-on-bytecode-only-architectures.patch (1,676 bytes) 2010-04-27 15:41 -
    From: Mehdi Dogguy <mehdi@debian.org>
    Date: Tue, 27 Apr 2010 11:29:19 +0200
    Subject: [PATCH] Fix build on bytecode-only architectures
    
    ---
     Makefile |   19 ++++++++++++-------
     1 files changed, 12 insertions(+), 7 deletions(-)
    
    diff --git a/Makefile b/Makefile
    index 4c9e01a..8e6a14c 100644
    --- a/Makefile
    +++ b/Makefile
    @@ -1232,7 +1232,7 @@ lablgtk.cmxa:
     
     include share/Makefile.plugin
     
    -gui: lib/plugins/Gui.cmo
    +gui:: lib/plugins/Gui.cmo
     
     else
     
    @@ -1249,6 +1249,7 @@ SINGLE_GUI_CMO:= gui_parameters \
     	property_navigator
     SINGLE_GUI_CMO:= $(patsubst %, src/gui/%.cmo, $(SINGLE_GUI_CMO))
     
    +SINGLE_GUI_O = $(SINGLE_GUI_CMO:.cmo=.o)
     SINGLE_GUI_CMI = $(SINGLE_GUI_CMO:.cmo=.cmi)
     SINGLE_GUI_CMX = $(SINGLE_GUI_CMO:.cmo=.cmx)
     
    @@ -1271,8 +1272,10 @@ $(PLUGIN_DEP_GUI_CMX_LIST) $(PLUGIN_DYN_DEP_GUI_CMX_LIST): OFLAGS+= $(GUI_INCLUD
     
     .PHONY:gui
     
    -gui:: bin/viewer.byte$(EXE) bin/viewer.opt$(EXE) \
    -      share/Makefile.dynamic_config share/Makefile.kernel
    +ifeq ($(OCAMLBEST),opt)
    +gui:: bin/viewer.opt$(EXE)
    +endif
    +gui:: bin/viewer.byte$(EXE) share/Makefile.dynamic_config share/Makefile.kernel
     	$(MAKE) install-gui FRAMAC_LIBDIR=lib/fc
     
     ALL_GUI_CMO= $(ALL_CMO) $(GRAPH_GUICMO) $(GUICMO)
    @@ -1635,10 +1638,12 @@ install-kernel-opt:
     install-gui:
     	$(PRINT_CP) gui API
     	$(MKDIR) $(FRAMAC_LIBDIR)
    -	if [ "$(ENABLE_GUI)" != "no" ]; then \
    -	  $(CP) $(SINGLE_GUI_CMI) $(SINGLE_GUI_CMO) $(SINGLE_GUI_CMX) \
    -	    $(FRAMAC_LIBDIR); \
    -        fi
    +ifneq ($(ENABLE_GUI),no)
    +	$(CP) $(SINGLE_GUI_CMI) $(SINGLE_GUI_CMO) $(FRAMAC_LIBDIR)
    +ifeq ($(OCAMLBEST),opt)
    +	$(CP) $(SINGLE_GUI_CMX) $(SINGLE_GUI_O) $(FRAMAC_LIBDIR)
    +endif
    +endif
     
     .PHONY: install
     install::
    -- 
    

-Relationships
related to 0000606closedsignoles Don't edit files in make install. Instead, just use all plug-ins in the plugin directory 
+Relationships

-Notes
There are no notes attached to this issue.
+Notes

-Issue History
Date Modified Username Field Change
2010-04-27 15:41 mehdi New Issue
2010-04-27 15:41 mehdi Status new => assigned
2010-04-27 15:41 mehdi Assigned To => signoles
2010-04-27 15:41 mehdi File Added: 0003-Fix-build-on-bytecode-only-architectures.patch
2010-04-27 16:41 svn
2010-04-27 16:41 svn Status assigned => resolved
2010-04-27 16:41 svn Resolution open => fixed
2010-10-14 08:56 signoles Relationship added related to 0000606
2010-12-10 15:45 signoles Fixed in Version => Frama-C Carbon-20101201-beta1
2010-12-17 19:36 signoles Status resolved => closed
2013-12-19 01:13 signoles Source_changeset_attached => framac master 505522a2
2014-02-12 16:55 signoles Source_changeset_attached => framac stable/neon 505522a2
+Issue History